petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscMalloc

Allocates memory, One should use PetscNew(), PetscMalloc1() or PetscCalloc1() usually instead of this

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc(size_t m,void **result)

Not Collective

### Input Parameter

m -number of bytes to allocate

### Output Parameter

result -memory allocated

### Notes

Memory is always allocated at least double aligned

It is safe to allocate size 0 and pass the resulting pointer (which may or may not be NULL) to PetscFree().

### See Also

PetscFree(), PetscNew()

### Level

beginner

### Location

include/petscsys.h

### Examples

src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages